Skip to content

nodes / stopall ​

1 operation.

POST /nodes/{node}/stopall ​

ts
proxmox.nodes.$(node).stopall.$post()

Stop all VMs and Containers.

Returns string.

ParameterTypeRequiredNotes
force-stopbooleanForce a hard-stop after the timeout. — default 1
max-workersnumberDefines the maximum number of tasks running concurrently. If not set, uses 'max_workers' from datacenter.cfg, and if that's not set, the available CPU threads, clamped to a maximum of 8, are used. — min 1, max 64
nodestringyesThe cluster node name. — format pve-node
timeoutnumberTimeout for each guest shutdown task. Depending on force-stop, the shutdown gets then simply aborted or a hard-stop is forced. — min 0, max 7200, default 180
vmsstringOnly consider Guests with these IDs. — format pve-vmid-list